package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.dto.AdamAdminisWalletParam;
import com.liquidnet.service.adam.dto.base.AdamCurrentUser;
import com.liquidnet.service.adam.entity.AdamWalletAccess;
import com.liquidnet.service.adam.vo.AdamAdminisWalletVo;
import com.liquidnet.service.adam.vo.AdamWalletAccessVo;

import java.util.List;

public interface IAdamWalletAccessService extends IService<AdamWalletAccess> {

    List<AdamWalletAccess> queryByUserId(String userId);

    List<AdamAdminisWalletVo> queryForUserProfileAdminis(String comId, String userId);

    List<AdamWalletAccessVo> queryForWalletPermission(String comId);

    boolean saveWalletAccess(List<String> allowedWalletList, String comId, String userId);

    boolean saveUserAccessWithSpecialSetting(AdamAdminisWalletParam parameter, AdamCurrentUser currentUser);
}
